<script setup>
import { ref, computed } from "vue";
const props = defineProps({
  devIdcode: {
    type: [String, Number],
  },
  onLine: {
    type: Boolean,
    default: false,
  },
  devType: {
    type: Number,
  },
});

const isAdd = computed(() => !props.devIdcode);
</script>

<template>
  <div class="dev-card">
    <!-- 编号 -->
    <div class="header">
      <div class="" v-if="isAdd">新设备</div>
      <div class="dev-id" v-else>{{ devIdcode }}</div>
    </div>
    <div class="content">
      <el-icon class="add" v-if="isAdd"><Plus /></el-icon>
      <div
        :class="['img', { ytg: 1 == props.devType, jhy: 2 == props.devType }]"
        v-else
      ></div>
    </div>
    <div class="footer">
      <div class="center" v-if="isAdd">添加设备</div>
      <div :class="['state', { onLine: onLine, offLine: !onLine }]" v-else>
        {{ onLine ? "在线" : "离线" }}
      </div>
    </div>
  </div>
</template>

<style scoped lang="less">
.dev-card {
  background: #08819a;
  border-radius: 6px;
  width: 230px;
  height: 230px;
  display: flex;
  flex-direction: column;
  // align-items: center;
  .header {
    height: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .content {
    flex: 1;
    background: #008080;
    position: relative;
    z-index: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    .add {
      font-size: 80px;
    }
    &::before {
      content: "";
      position: absolute;
      left: 20px;
      top: 20px;
      bottom: 20px;
      right: 20px;
      border: 1px #0ff solid;
    }
    .img {
      width: 100%;
      height: 100%;
      &.ytg {
        background: url("@/assets/images/ytj.png") center center / auto 76%
          no-repeat;
      }
      &.jhy {
        background: url("@/assets/images/jhy.png") center center / auto 76%
          no-repeat;
      }
    }
    // background: #000;
  }
  &.offline {
    background: #ccc;
  }
  .footer {
    padding: 8px 2em;
  }
  .center {
    text-align: center;
  }
  .state {
    font-size: 16px;
    font-weight: bold;
    &.onLine {
      color: #0f0;
    }
    &.offLine {
      color: #ccc;
    }
  }
}
</style>
